init python:
    # Change these functions to apply your own language's rules as appropriate.
    def readable_number(i):
        return str(i) 
    def readable_number_small_translation(i):
        ret = ''
        if i!=int(i):
            rem = i-int(i)
            if i>=0 and i<=19 and rem>=.96:
                ret = '거의 '
                i = int(i+1)
            else:
                i = int(i)
        #if i>=0 and i<=20:
         #   ret += ('영','일','이','삼','사','오','육','칠','팔','구','십','십일','십이','십삼','십사','십오','십육','십칠','십팔','십구','이십')[int(i)]
        #else:
            ret = str(i)
        if rem>=.88 and rem<.96:
            ret += ' 그리고 90% 이상'
        elif rem>=.73:
            ret += ' 그리고 4분의 3 정도'
        elif rem>=.6:
            ret += ' 그리고 반 이상'
        elif rem>=.47:
            ret += ' 그리고 반'
        elif rem>=.4:
            ret += ' 그리고 거의 반'
        elif rem>=.2:
            ret += ' 그리고 4분의 1'
        elif rem>=.07:
            ret += ' 그리고 10% 정도'
        elif rem>.03:
            ret = 'a shade over '+ret
        if ret.startswith('0 그리고'):
            ret = ret[5:]
        return ret
    # and change 'raw' to the directory name the translation files are in.
    # If you don't want to use a function, it and the lines pertaining to it
    # and the game will fall back to simple stringification.
    readable_number_small_translations['kr'] = readable_number_small_translation
    def land_military_desc(soldiers):
        if int(soldiers/1200.0):
            return readable_number_small(soldiers/1200.0)+' 대대'
        elif soldiers/1200.0<=.03:
            #return 'a handful of soldiers'
            return '소수의 군인들'
        elif soldiers/1200.0<.07:
            return "소대급"
        return readable_number_small(soldiers/1200.0)+' 의 대대'
    #land_military_desc_translations['kr'] = land_military_desc_translation

    def barracks_report_translation(amt):
        battalions = int(amt/1200)
        amt -= battalions*1200
        companies = 0
        platoons = 0
        if amt>0:
            companies = int(amt/300)
            amt -= companies*300
        if amt>0:
            platoons = max(int(amt/100),1)
        ret = ''
        if battalions:
            ret = readable_number(battalions)+' '
            if battalions>1:
                ret += '대대'
            else:
                ret += '대대'
        if companies:
            if battalions and platoons:
                ret += ', '
            else:
                ret += ' 그리고 '
            ret += readable_number(companies)
            if companies>1:
                ret += ' 중대'
            else:
                ret += ' 중대'
        if platoons:
            if companies and battalions:
                ret += ', 그리고 '
            elif companies or battalions:
                ret += ' 그리고 '
            ret += readable_number(platoons)+' '
            if platoons>1:
                ret += '소대'
            else:
                ret += '소대'
        return ret

    barracks_report_translations['kr'] = barracks_report_translation

    def readable_number_translation(i):
        if i!=int(i):
            i = int(i)
        if not i:
            return '없음'
        ret = ''
        #if i>1000:
        #    ret = readable_number(i/1000)+' 천'
        #    i = i % 1000
        #if i>=100:
        #    if ret:
        #        ret += ', '
        #    ret += num_words[i/100]+' 백'
        #i = i%100
        #if i:
        #    if ret:
        #        ret += ' 그리고 '
        #    if i<len(num_words):
        #        return ret+num_words[i]
        #    ret += tens[i/10]
        #    if i/10>=1 and i%10:
        #        ret += '-'
        #    i %= 10
        #    if i:
        #        ret += num_words[i]
        return ret
    readable_number_translations['kr'] = readable_number_translation
